Skip to content
This repository has been archived by the owner. It is now read-only.

[dev.icinga.com #3481] Compatibility with JasperReports < 4.6 has been broken #39

Closed
icinga-migration opened this issue Dec 5, 2012 · 7 comments
Labels
Milestone

Comments

@icinga-migration
Copy link
Member

@icinga-migration icinga-migration commented Dec 5, 2012

This issue has been migrated from Redmine: https://dev.icinga.com/issues/3481

Created by tgelf on 2012-12-05 22:40:06 +00:00

Assignee: mluebben
Status: Resolved (closed on 2013-03-03 16:49:09 +00:00)
Target Version: 1.8.2
Last Update: 2013-03-03 16:49:09 +00:00 (in Redmine)

Icinga Version: 1.8.2
DB Type: UNKNOWN
DB Version: any
Jasper Version: 4.5.0

Revision 71678ed introduces the uuid attribute, this will not be understood by JasperServers running a version less than 4.6. Please change the compatibility mode in iReports to fix this.

Regards,
Thomas Gelf

@icinga-migration
Copy link
Member Author

@icinga-migration icinga-migration commented Dec 16, 2012

Updated by mfriedrich on 2012-12-16 12:16:06 +00:00

  • Category set to Templates

  • Status changed from New to Assigned

  • Assigned to set to mluebben

  • Target Version set to 1.8.1

    commit 71678ed
    Author: Michael Luebben
    Date: Wed Dec 5 08:42:10 2012 +0100

      Bug #3400: Fix empty graphs in Host- and ServiceActivityReportInGivenTime
    
@icinga-migration
Copy link
Member Author

@icinga-migration icinga-migration commented Dec 16, 2012

Updated by mfriedrich on 2012-12-16 12:28:31 +00:00

  • Target Version changed from 1.8.1 to 1.8.2
@icinga-migration
Copy link
Member Author

@icinga-migration icinga-migration commented Dec 18, 2012

Updated by mluebben on 2012-12-18 10:58:01 +00:00

  • Status changed from Assigned to 7
  • Done % changed from 0 to 100

uuid from templates deleted.

The uuid added iReport greater than 4.5.0. Please only use iReport 4.5.0!

@icinga-migration
Copy link
Member Author

@icinga-migration icinga-migration commented Dec 18, 2012

Updated by tgelf on 2012-12-18 13:09:11 +00:00

One last note: you don't have to stay with iReport 4.5.x. As mentioned in the initial bug report you can also change the compatibility mode to your preferred version.

@icinga-migration
Copy link
Member Author

@icinga-migration icinga-migration commented Dec 18, 2012

Updated by mluebben on 2012-12-18 13:16:40 +00:00

The iReport Version greater than 4.6.0 creates a new attribute uuid. This new attribute is not supported in the jasperserver version 4.5.0.

http://community.jaspersoft.com/ireport-designer/issues/5784

@icinga-migration
Copy link
Member Author

@icinga-migration icinga-migration commented Dec 18, 2012

Updated by tgelf on 2012-12-18 14:11:42 +00:00

That's what I've written, isn't it? Please try to do as suggested, iReport DOES allow you to configure compatibility for specific versions. That's what I was trying to tell you when opening this issue. It IS possible to work with recent and more stable iReport versions while keeping compatibilty with 4.5.

Cheers,
Thomas

@icinga-migration
Copy link
Member Author

@icinga-migration icinga-migration commented Mar 3, 2013

Updated by mfriedrich on 2013-03-03 16:49:09 +00:00

  • Status changed from 7 to Resolved
Sign up for free to subscribe to this conversation on GitHub. Already have an account? Sign in.
Projects
None yet
Linked pull requests

Successfully merging a pull request may close this issue.

None yet
1 participant
You can’t perform that action at this time.